[26158] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r25427 - in trunk/debathena/debathena/config-package-dev: . debian

daemon@ATHENA.MIT.EDU (Anders Kaseorg)
Tue Oct 25 20:30:02 2011

Date: Tue, 25 Oct 2011 20:30:00 -0400
From: Anders Kaseorg <andersk@MIT.EDU>
Message-Id: <201110260030.p9Q0U0lg022365@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: andersk
Date: 2011-10-25 20:30:00 -0400 (Tue, 25 Oct 2011)
New Revision: 25427

Modified:
   trunk/debathena/debathena/config-package-dev/check-files.mk
   trunk/debathena/debathena/config-package-dev/debian/changelog
   trunk/debathena/debathena/config-package-dev/divert.sh.in
Log:
In config-package-dev:
  * Set LC_ALL=C when matching potentially localized dpkg output.


Modified: trunk/debathena/debathena/config-package-dev/check-files.mk
===================================================================
--- trunk/debathena/debathena/config-package-dev/check-files.mk	2011-10-26 00:13:50 UTC (rev 25426)
+++ trunk/debathena/debathena/config-package-dev/check-files.mk	2011-10-26 00:30:00 UTC (rev 25427)
@@ -61,7 +61,7 @@
 $(call debian_check_files_tmp,%): target = $(call undebian_check_files_tmp,$@)
 $(call debian_check_files_tmp,%): name = $(call debian_check_files_check,$(target))
 $(call debian_check_files_tmp,%): truename = $(shell /usr/sbin/dpkg-divert --truename $(name))
-$(call debian_check_files_tmp,%): package = $(shell dpkg -S $(name) | sed -n '/^diversion by /! s/: .*$$// p')
+$(call debian_check_files_tmp,%): package = $(shell LC_ALL=C dpkg -S $(name) | sed -n '/^diversion by /! s/: .*$$// p')
 $(call debian_check_files_tmp,%): $(truename)
 	[ -n "$(package)" ]
 	mkdir -p $(@D)

Modified: trunk/debathena/debathena/config-package-dev/debian/changelog
===================================================================
--- trunk/debathena/debathena/config-package-dev/debian/changelog	2011-10-26 00:13:50 UTC (rev 25426)
+++ trunk/debathena/debathena/config-package-dev/debian/changelog	2011-10-26 00:30:00 UTC (rev 25427)
@@ -4,10 +4,11 @@
     Multi-Arch: same packages.
   * Fix encode script to work with Perl 5.12.  While we’re at it, turn on
     strict and warnings.
+  * Set LC_ALL=C when matching potentially localized dpkg output.
   * Bump Standards-Version to 3.9.2 (no changes required).
   * Add Vcs-Git, Vcs-Browser.
 
- -- Anders Kaseorg <andersk@mit.edu>  Tue, 25 Oct 2011 20:08:02 -0400
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 25 Oct 2011 20:26:50 -0400
 
 config-package-dev (4.12) unstable; urgency=low
 

Modified: trunk/debathena/debathena/config-package-dev/divert.sh.in
===================================================================
--- trunk/debathena/debathena/config-package-dev/divert.sh.in	2011-10-26 00:13:50 UTC (rev 25426)
+++ trunk/debathena/debathena/config-package-dev/divert.sh.in	2011-10-26 00:30:00 UTC (rev 25427)
@@ -24,7 +24,7 @@
     file=$1
     ourfile=$2
     theirfile=$3
-    if ! dpkg-divert --list "$package" | \
+    if ! LC_ALL=C dpkg-divert --list "$package" | \
 	grep -xFq "diversion of $file to $theirfile by $package"; then
 	dpkg-divert --divert "$theirfile" --rename --package "$package" --add "$file"
     fi
@@ -116,7 +116,7 @@
     ourfile=$prefix$ours$suffix
     theirfile=$prefix$theirs$suffix
 
-    if dpkg-divert --list "$package" | \
+    if LC_ALL=C dpkg-divert --list "$package" | \
 	grep -xFq "diversion of $file to $theirfile by $package"; then
 	undivert_unlink "$prefix" "$suffix"
     fi
@@ -126,7 +126,7 @@
 {
     file=$1
     removedfile=$2
-    if dpkg-divert --list "$package" | \
+    if LC_ALL=C dpkg-divert --list "$package" | \
 	grep -xFq "diversion of $file to $removedfile by $package"; then
 	undivert_unremove "$file"
     fi


home help back first fref pref prev next nref lref last post